Support » Plugins » [Plugin: Collapsing Categories] making html valid

  • jingquan

    (@jingquan)


    I’m stuck. I can’t find this ul tag inside the php, you can see from the error it’s missing a qoute for the id.

    Line 446, Column 47: an attribute value specification must be an attribute value literal unless SHORTTAG YES is specified
    <h2 class="widgettitle">Categories</h2><ul id=widget-collapscat-2-collapsCatList>

    Could anyone show me where can i add the qoutes back (“” or ”), thanks.

    http://wordpress.org/extend/plugins/collapsing-categories/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Robert Chapin

    (@miqrogroove)

    It seems to be causing several validation problems for me too.

    Robert Chapin

    (@miqrogroove)

    collapscatwidget.php line 19

    echo "<ul id=" .  $this->get_field_id('collapsCatList') . ">\n";

    Change to

    echo "<ul id=\"" .  $this->get_field_id('collapsCatList') . "\">\n";
    Robert Chapin

    (@miqrogroove)

    Here is my workaround for the remaining issues (not compatible with multiple widget instances):

    in collapscatwidget.php

    Delete lines 19 & 25.

    in collapscatlist.php

    at line 307 (after defaults.php) add

    echo "\n<ul id=\"collapsCatList\">\n";

    at line 614 …

    //  echo "    </ul> <!-- ending collapsCat -->\n";

    … change to

    echo "    </ul> <!-- ending collapsCat -->\n";

    Front page is now valid.

    Thanks a lot
    It works perfectly
    I’ve been searching for awhile with no result…
    And now it validates!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Plugin: Collapsing Categories] making html valid’ is closed to new replies.